using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RSProject.Design_Code
{
	public partial class MestoDataForm : RSProject.Design_Code.MainDataForm
	{
		public MestoDataForm()
		{
			InitializeComponent();
		}

		protected override void LoadData()
		{			
			Global.RefreshDataSource(this.mainDataSet.Opstina, false);
			Global.RefreshDataSource(this.mainDataSet.Mesto, false);
			_dataLoaded = true;
		}

		protected override bool Save(object savingObject)
		{
			if (CurrentEditState == Universal.Controls.CurrentEditState.Insert)
			{
				MainDataSet.MestoRow or = (MainDataSet.MestoRow)(savingObject as DataRowView).Row;
				or.mestoID = (new MainDataSetTableAdapters.QueriesTableAdapter()).NextMestoID().Value;
			}

			return base.Save(savingObject);
		}

		private void opstinaIDSearchList_LinkButtonClick(EventArgs e)
		{
			opstinaIDSearchList.GetRefDataForm<int>(new OpstinaDataForm(), delegate() { });
		}
	}
}

