using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace RSProject
{
	class Global
	{
		public static MainDataSet MainDS = new MainDataSet();

		public static void RefreshDataSource(DataTable someDataTable, bool enforceRefresh)
		{
			if (someDataTable is MainDataSet.OpstinaDataTable)
			{
				if (enforceRefresh || someDataTable.Rows.Count == 0)
				{
					(new MainDataSetTableAdapters.OpstinaTableAdapter()).Fill((MainDataSet.OpstinaDataTable)someDataTable);
					return;
				}
			}

			if (someDataTable is MainDataSet.MestoDataTable)
			{
				if (enforceRefresh || someDataTable.Rows.Count == 0)
				{
					(new MainDataSetTableAdapters.MestoTableAdapter()).Fill((MainDataSet.MestoDataTable)someDataTable);
					return;
				}
			}
		}
	}
}
